
#include "language.hh"
#include "phonetic.hh"
#include "metaphone.hh"
#include "phoneme.hh"

class Phonetic_English : public SC_Phonetic {
public:
  Phonetic_English(const SC_Language *l)
    : SC_Phonetic(l) 
  {
  }
  virtual ~Phonetic_English() 
  {
  }
  Phonetic_English * clone () const
  {
    return new Phonetic_English(*this);
  }
  string to_soundslike(const SC_Language *, const char * word) const
  {
    return to_metaphone(word);
  }
  string soundslike_chars(const SC_Language *) const {
    return "ABCDEFGHIJKLMNOPQRSTUVWXYZ0";
  }
  bool generic_soundslike() const 
  {
    return false;
  }
  string to_phoneme(const SC_Language * lang, const char * word) const
  {
    return ::to_phoneme(lang->to_upper(word).c_str());
  }
  bool have_phoneme() const 
  {
    return true;
  }
};

const SC_Phonetic * new_Phonetic_English(const SC_Language * l) {
  return new Phonetic_English(l);
}

